Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/guest-node-cleanup.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/guest-node-cleanup.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/guest-node-cleanup.dot
@@ -1,6 +1,7 @@
 digraph "g" {
 "all_stopped" -> "lxc1_start_0 rhel7-1" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
+"container1_monitor_0 rhel7-1" -> "all_stopped" [ style = bold]
 "container1_monitor_0 rhel7-1" -> "container1_start_0 rhel7-1" [ style = bold]
 "container1_monitor_0 rhel7-1" -> "lxc1_stop_0 rhel7-1" [ style = bold]
 "container1_monitor_0 rhel7-1" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/guest-node-cleanup.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/guest-node-cleanup.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/guest-node-cleanup.exp
@@ -306,6 +306,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="container1_monitor_0" on_node="rhel7-1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="17" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/guest-node-host-dies.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/guest-node-host-dies.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/guest-node-host-dies.dot
@@ -70,10 +70,13 @@ digraph "g" {
 "lxc-ms_stop_0 lxc2" -> "lxc-ms-master_stopped_0" [ style = bold]
 "lxc-ms_stop_0 lxc2" -> "lxc-ms_start_0 lxc2" [ style = bold]
 "lxc-ms_stop_0 lxc2" [ style=bold color="green" fontcolor="orange"]
+"lxc1_monitor_0 rhel7-3" -> "all_stopped" [ style = bold]
 "lxc1_monitor_0 rhel7-3" -> "lxc1_start_0 rhel7-2" [ style = bold]
 "lxc1_monitor_0 rhel7-3" [ style=bold color="green" fontcolor="black"]
+"lxc1_monitor_0 rhel7-4" -> "all_stopped" [ style = bold]
 "lxc1_monitor_0 rhel7-4" -> "lxc1_start_0 rhel7-2" [ style = bold]
 "lxc1_monitor_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
+"lxc1_monitor_0 rhel7-5" -> "all_stopped" [ style = bold]
 "lxc1_monitor_0 rhel7-5" -> "lxc1_start_0 rhel7-2" [ style = bold]
 "lxc1_monitor_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
 "lxc1_monitor_30000 rhel7-2" [ style=bold color="green" fontcolor="black"]
@@ -85,10 +88,13 @@ digraph "g" {
 "lxc1_stop_0 rhel7-1" -> "container1_stop_0 rhel7-1" [ style = bold]
 "lxc1_stop_0 rhel7-1" -> "lxc1_start_0 rhel7-2" [ style = bold]
 "lxc1_stop_0 rhel7-1" [ style=bold color="green" fontcolor="orange"]
+"lxc2_monitor_0 rhel7-2" -> "all_stopped" [ style = bold]
 "lxc2_monitor_0 rhel7-2" -> "lxc2_start_0 rhel7-3" [ style = bold]
 "lxc2_monitor_0 rhel7-2" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 rhel7-4" -> "all_stopped" [ style = bold]
 "lxc2_monitor_0 rhel7-4" -> "lxc2_start_0 rhel7-3" [ style = bold]
 "lxc2_monitor_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 rhel7-5" -> "all_stopped" [ style = bold]
 "lxc2_monitor_0 rhel7-5" -> "lxc2_start_0 rhel7-3" [ style = bold]
 "lxc2_monitor_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
 "lxc2_monitor_30000 rhel7-3" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/guest-node-host-dies.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/guest-node-host-dies.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/guest-node-host-dies.exp
@@ -618,6 +618,24 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-3" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-4" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="lxc1_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="lxc2_monitor_0" on_node="rhel7-5" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="11" operation="stop" operation_key="Fencing_stop_0" on_node="rhel7-4" on_node_uuid="5"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc2.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/inc2.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc2.exp
@@ -123,6 +123,21 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="child_rsc1:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="child_rsc1:1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc1:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="child_rsc1:3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="child_rsc1:4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="11" operation="stop" operation_key="child_rsc1:2_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -197,6 +212,21 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="child_rsc1:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="child_rsc1:1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc1:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="child_rsc1:3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="child_rsc1:4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="11" operation="stop" operation_key="child_rsc1:2_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc3.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/inc3.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc3.exp
@@ -123,6 +123,21 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="child_rsc1:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="child_rsc1:1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="child_rsc1:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="child_rsc1:3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="child_rsc1:4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="16" operation="stop" operation_key="child_rsc1:2_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -304,6 +319,21 @@
     </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="child_rsc2:0_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="child_rsc2:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc2:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="child_rsc2:3_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="child_rsc2:4_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
         <rsc_op id="31" operation="stop" operation_key="child_rsc2:3_stop_0" on_node="node2" on_node_uuid="uuid2"/>
        </trigger>
        <trigger>
@@ -378,6 +408,36 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="child_rsc2:0_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="child_rsc2:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc2:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="child_rsc2:3_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="child_rsc2:4_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="child_rsc1:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="child_rsc1:1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="child_rsc1:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="child_rsc1:3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="child_rsc1:4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="16" operation="stop" operation_key="child_rsc1:2_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc4.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/inc4.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc4.exp
@@ -42,6 +42,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="child_rsc1:3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="18" operation="stop" operation_key="child_rsc1:3_stop_0" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
@@ -86,6 +89,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="child_rsc1:4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="20" operation="stop" operation_key="child_rsc1:4_stop_0" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
@@ -132,6 +138,21 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="child_rsc1:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="child_rsc1:1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="child_rsc1:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="child_rsc1:3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="child_rsc1:4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="16" operation="stop" operation_key="child_rsc1:2_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -254,6 +275,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="child_rsc2:4_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
         <rsc_op id="33" operation="stop" operation_key="child_rsc2:4_stop_0" on_node="node2" on_node_uuid="uuid2"/>
        </trigger>
        <trigger>
@@ -319,6 +343,21 @@
     </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="child_rsc2:0_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="child_rsc2:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc2:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="child_rsc2:3_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="child_rsc2:4_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
         <rsc_op id="31" operation="stop" operation_key="child_rsc2:3_stop_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
@@ -393,6 +432,36 @@
     </action_set>
     <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="child_rsc2:0_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="child_rsc2:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc2:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="child_rsc2:3_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="child_rsc2:4_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="child_rsc1:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="child_rsc1:1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="child_rsc1:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="child_rsc1:3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="child_rsc1:4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="16" operation="stop" operation_key="child_rsc1:2_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc5.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/inc5.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/inc5.exp
@@ -108,6 +108,18 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc2:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="child_rsc2:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="child_rsc2:1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="child_rsc2:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="44" operation="stop" operation_key="child_rsc2:1_stop_0" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
@@ -271,6 +283,18 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="child_rsc4:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="25" operation="monitor" operation_key="child_rsc4:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="child_rsc4:1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="27" operation="monitor" operation_key="child_rsc4:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="60" operation="stop" operation_key="child_rsc4:1_stop_0" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
@@ -398,6 +422,18 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="child_rsc5:0_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="child_rsc5:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="child_rsc5:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="28" operation="monitor" operation_key="child_rsc5:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="68" operation="stop" operation_key="child_rsc5:1_stop_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
@@ -561,6 +597,18 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="child_rsc7:0_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="child_rsc7:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="child_rsc7:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="child_rsc7:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="84" operation="stop" operation_key="child_rsc7:1_stop_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
@@ -659,6 +707,102 @@
     </action_set>
     <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="child_rsc1:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="child_rsc1:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc2:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="child_rsc3:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="child_rsc3:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="child_rsc4:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="child_rsc5:0_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="child_rsc5:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="child_rsc5:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="child_rsc6:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="child_rsc6:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="child_rsc7:0_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="child_rsc7:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="child_rsc7:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="child_rsc8:1_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="child_rsc8:2_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="child_rsc1:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="child_rsc1:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="child_rsc2:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="child_rsc2:1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="child_rsc2:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="23" operation="monitor" operation_key="child_rsc3:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="24" operation="monitor" operation_key="child_rsc3:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="25" operation="monitor" operation_key="child_rsc4:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="child_rsc4:1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="27" operation="monitor" operation_key="child_rsc4:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="28" operation="monitor" operation_key="child_rsc5:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="29" operation="monitor" operation_key="child_rsc6:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="child_rsc6:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="child_rsc7:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="32" operation="monitor" operation_key="child_rsc8:0_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="33" operation="monitor" operation_key="child_rsc8:2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="44" operation="stop" operation_key="child_rsc2:1_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/intervals.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/intervals.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/intervals.dot
@@ -2,14 +2,19 @@ digraph "g" {
 "Cancel rsc5_monitor_25000 rhel7-2" -> "rsc5_start_0 rhel7-2" [ style = bold]
 "Cancel rsc5_monitor_25000 rhel7-2" [ style=bold color="green" fontcolor="black"]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
+"rsc2_monitor_0 rhel7-1" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 rhel7-1" -> "rsc2_start_0 rhel7-3" [ style = bold]
 "rsc2_monitor_0 rhel7-1" [ style=bold color="green" fontcolor="black"]
+"rsc2_monitor_0 rhel7-2" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 rhel7-2" -> "rsc2_start_0 rhel7-3" [ style = bold]
 "rsc2_monitor_0 rhel7-2" [ style=bold color="green" fontcolor="black"]
+"rsc2_monitor_0 rhel7-3" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 rhel7-3" -> "rsc2_start_0 rhel7-3" [ style = bold]
 "rsc2_monitor_0 rhel7-3" [ style=bold color="green" fontcolor="black"]
+"rsc2_monitor_0 rhel7-4" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 rhel7-4" -> "rsc2_start_0 rhel7-3" [ style = bold]
 "rsc2_monitor_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
+"rsc2_monitor_0 rhel7-5" -> "all_stopped" [ style = bold]
 "rsc2_monitor_0 rhel7-5" -> "rsc2_start_0 rhel7-3" [ style = bold]
 "rsc2_monitor_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
 "rsc2_monitor_40000 rhel7-3" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/intervals.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/intervals.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/intervals.exp
@@ -198,6 +198,21 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="rsc2_monitor_0" on_node="rhel7-1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="rsc2_monitor_0" on_node="rhel7-2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="rsc2_monitor_0" on_node="rhel7-3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="rsc2_monitor_0" on_node="rhel7-4" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="rsc2_monitor_0" on_node="rhel7-5" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
         <rsc_op id="25" operation="stop" operation_key="rsc5_stop_0" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
       <trigger>
